;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:meridienparallele
;
; PURPOSE:trace certains medidiens ou paralles
;
; CATEGORY:
;
; CALLING SEQUENCE:meridienparallele, coupe
;
; INPUTS:coupe: le type de dessin que l''on traite
;
; COMMON BLOCKS:
;	common.pro
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       11/12/98
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
PRO meridienparallele, coupe
;
  compile_opt idl2, strictarrsubs
;
@common
;------------------------------------------------------------
   case coupe of
      'xy':BEGIN 
         if lon1 lt 180 and lon2 gt 180 then $
          plot, [180,180],[lat1,lat2],/noerase,color=0
         if lon1 lt 0 and lon2 gt 0 then $
          plot, [0,0],[lat1,lat2],/noerase,color=0
         if lon1 lt 360 and lon2 gt 360 then $
          plot, [360,360],[lat1,lat2],/noerase,color=0
         if lat1 lt 0 and lat2 gt 0 then $
          plot, [lon1,lon2],[0,0],/noerase,color=0
      END

   endcase

   return
end
