;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:saveatt
;
; PURPOSE:permet de mettre dans une structure les attributs qui peuvent
; etre associes a une variable.
;
; CATEGORY:allegement d''ecriture
;
; CALLING SEQUENCE:res=saveatt()
;
; OUTPUTS:
;    une stucture de la forme:
;         {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask,l:niveau}
;
; COMMON BLOCKS:
;	common.pro
;
; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
;                       15/6/1999
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION saveatt
;
  compile_opt idl2, strictarrsubs
;
@common
   return, {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask}
end
