
PRO xx,  JOUR = jour, MESHFILENAME = meshfilename,  LISTVAR = listvar, LISTGRID = listgrid, FUNCLEC_NAME = funclec_name, CALENDAR = calendar, _extra = ex
;
;
  compile_opt idl2, strictarrsubs
;
@common
;----------------------------------------------------------------------
;----------------------------------------------------------------------
;  partie a changer
;----------------------------------------------------------------------
;----------------------------------------------------------------------
; nom de la fonction de lecture:
   if NOT keyword_set(funclec_name) then funclec_name = 'slec'
   varexp = 'INF'
; liste des variables
   if NOT keyword_set(listvar) then listvar = ['tn','sn','un','vn', 'taux', 'tauy','hdep20','hdep28','hdep15','hturb','hpycn','htoth','emp','qn','qs', 'smltot11', 'smltot12', 'smltot13', 'smltot14', 'smltot15', 'smltot16', 'tmltot11', 'tmltot12', 'tmltot13', 'tmltot14', 'tmltot15', 'tmltot16']
; liste des grilles auxquelles elles se rapportent les variables
   if NOT keyword_set(listgrid) then BEGIN 
      listgrid = replicate('T', n_elements(listvar))
      listgrid[[2, 4]] = 'U'
      listgrid[[3, 5]] = 'V'
   ENDIF
; calendrier a utiliser (en jours juliens d''IDL   
;++++    if NOT keyword_set(calendar) then BEGIN 
;++++       if keyword_set(jour) then calendar = calendriertotem(/julian_day) ELSE calendar = calendriertotem(/julian_day, /mensuel)
;++++    ENDIF
; nom du fichier se rapportant au masque
   if NOT keyword_set(meshfilename) then meshfilename = '/usr1/com/smasson/IDL/INIT/inittotem.pro'
;++++   meshparameters = whichgrid(meshfilename)
; parameteres specifiant comment doit etre lu le champ
   readparameters= {funclec_name: funclec_name $
                    , jpidta: jpidta, jpjdta: jpjdta, jpkdta: jpkdta $
                    , ixmindta: ixmindta, ixmaxdta: ixmaxdta $
                    , iymindta: iymindta, iymaxdta: iymaxdta $
                    , izmindta: izmindta, izmaxdta: izmaxdta }
;----------------------------------------------------------------------
;----------------------------------------------------------------------
;   fin de la partie a changer
;----------------------------------------------------------------------
;----------------------------------------------------------------------
;
;
   fileparameters = {filename: 'many !' $
                     , time_counter: calendar $
                     , listvar: listvar $
                     , listgrid: strupcase(listgrid)}
;
   multistructure = {fileparameters: temporary(fileparameters) $
              , readparameters: temporary(readparameters) $
              , meshparameters: temporary(meshparameters)}
;
   xxx, multistructure = temporary(multistructure), _extra = ex

   return
end
